using Valg.EVA.Skanning.ServicesModel.ServiceContracts.SystemServices.Read;
using Valg.EVA.Skanning.ServicesModel.ServiceContracts.Version.Read;

namespace Valg.EVA.Skanning.Services.SystemServices
{
    public interface ISystemService
    {
        void VerifyDatabaseConsistency();
        void InitSettingsCache();
        IsDatabaseAliveResult IsDatabaseAlive();
        VersionInfo GetVersionInfo(string electionEventId);
        void InitElectionConfigDataCache(string electionEventId);
    }
}
